// Copyright (c) 2021 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include <stdint.h>
#include <malloc.h>
#include "../primitive.h"

#define CUBE_VERTICE_COUNT 8
#define CUBE_INDICE_COUNT 36

/**
 * Creates a cube primitive of given size.
 * @param w Width of cube.
 * @param h Height of cube.
 * @param d Depth of cube.
 * @return Primitive of the cube.
 */
primitive_t * cubeCreate(float w, float h, float d);